/b2b/currencies

Get supported currencies filtered for partner

Responses
  • application/json
  • application/json
  • application/json
Request Example for get/b2b/currencies
curl https://sandbox-api.mrcr.io/v1.6/b2b/currencies \
  --header 'Sdk-Partner-Token: YOUR_SECRET_TOKEN'
{
  "status": 200,
  "data": {
    "fiat": [
      "EUR",
      "USD"
    ],
    "crypto": [
      "BNB",
      "BUSD",
      "USDT",
      "BTC"
    ],
    "config": {
      "base": {
        "USDT": "ETH",
        "BUSD": "BNB",
        "ETH": "ETH"
      },
      "has_withdrawal_fee": {
        "BNB": true,
        "BUSD": false,
        "USDT": true,
        "BTC": true
      },
      "default_networks": {
        "BNB": "BINANCESMARTCHAIN",
        "BUSD": "BINANCESMARTCHAIN",
        "USDT": "ETHEREUM",
        "BTC": "BITCOIN"
      },
      "crypto_currencies": [
        {
          "currency": "BNB",
          "network": "BINANCESMARTCHAIN",
          "show_network_icon": false,
          "network_label": "BINANCESMARTCHAIN"
        },
        {
          "currency": "BUSD",
          "network": "BINANCESMARTCHAIN",
          "show_network_icon": false,
          "network_label": "BINANCESMARTCHAIN",
          "network_ud": "BEP20"
        },
        {
          "currency": "USDT",
          "network": "ETHEREUM",
          "show_network_icon": false,
          "network_label": "ETHEREUM",
          "network_ud": "ERC20"
        },
        {
          "currency": "BTC",
          "network": "BITCOIN",
          "show_network_icon": false,
          "network_label": "BITCOIN"
        }
      ],
      "icons": {
        "USD": {
          "svg": "https://api.mercuryo.io/v1.6/img/icons/currencies/usd.svg",
          "relative": {
            "svg": "v1.6/img/icons/currencies/usd.svg",
            "png": "v1.6/img/icons/currencies/usd.png"
          },
          "png": "https://api.mercuryo.io/v1.6/img/icons/currencies/usd.png"
        },
        "EUR": {
          "svg": "https://api.mercuryo.io/v1.6/img/icons/currencies/eur.svg",
          "relative": {
            "svg": "v1.6/img/icons/currencies/eur.svg",
            "png": "v1.6/img/icons/currencies/eur.png"
          },
          "png": "https://api.mercuryo.io/v1.6/img/icons/currencies/eur.png"
        }
      },
      "networks": {
        "BINANCESMARTCHAIN": {
          "name": "BINANCESMARTCHAIN",
          "icons": {
            "svg": "https://api.mercuryo.io/v1.6/img/icons/networks/binancesmartchain.svg",
            "relative": {
              "svg": "v1.6/img/icons/networks/binancesmartchain.svg",
              "png": "v1.6/img/icons/networks/binancesmartchain.png"
            },
            "png": "https://api.mercuryo.io/v1.6/img/icons/networks/binancesmartchain.png"
          }
        },
        "ETHEREUM": {
          "name": "ETHEREUM",
          "icons": {
            "svg": "https://api.mercuryo.io/v1.6/img/icons/networks/ethereum.svg",
            "relative": {
              "svg": "v1.6/img/icons/networks/ethereum.svg",
              "png": "v1.6/img/icons/networks/ethereum.png"
            },
            "png": "https://api.mercuryo.io/v1.6/img/icons/networks/ethereum.png"
          }
        },
        "BITCOIN": {
          "name": "BITCOIN",
          "icons": {
            "svg": "https://api.mercuryo.io/v1.6/img/icons/networks/default.svg",
            "relative": {
              "svg": "v1.6/img/icons/networks/default.svg",
              "png": "v1.6/img/icons/networks/default.png"
            },
            "png": "https://api.mercuryo.io/v1.6/img/icons/networks/default.png"
          }
        }
      },
      "display_options": {
        "USD": {
          "fullname": "United States Dollar",
          "total_digits": 2,
          "display_digits": 2
        },
        "EUR": {
          "fullname": "Euro",
          "total_digits": 2,
          "display_digits": 2
        },
        "BNB": {
          "fullname": "Binance Coin",
          "total_digits": 18,
          "display_digits": 6
        },
        "BTC": {
          "fullname": "Bitcoin",
          "total_digits": 8,
          "display_digits": 5
        },
        "BUSD": {
          "fullname": "Binance USD",
          "total_digits": 18,
          "display_digits": 6
        },
        "USDT": {
          "fullname": "Tether",
          "total_digits": 18,
          "display_digits": 6
        }
      }
    }
  }
}